Home Wiki Blog Forum GEXF.net

Gephi forums

Community support

IT people won't install Gephi bc of Java problems

Problems with getting it running

IT people won't install Gephi bc of Java problems

Postby bfbraum » 22 Aug 2013 22:36

All,

I'm trying to use Gephi in an online course on data visualization, but my IT folks won't install it on the lab computers. The response I get is,

There is a problem with Gephi. It requires an older version of Java to work. There have been numerous security problems with Java which have been fixed by updates, so for security reasons we need to keep the latest Java version installed. The developers are aware of this and are working on it. Hopefully this will be fixed before fall term.


Fall term is upon us... is there any prospect that I'll be able to use the program soon?

Thanks!
Bear Braumoeller
The Ohio State University
bfbraum
 
Posts: 1
Joined: 22 Aug 2013 22:32
Location: Columbus, OH

Re: IT people won't install Gephi bc of Java problems

Postby admin » 22 Aug 2013 22:48

Hi,

We are working on a solution: currently one of our libraries requires an old version of Java to work propertly on Mac OS. It is a low-level component and we had difficulties in upgrading it, however you can test the development version of Gephi on a Mac with Java 7 and see if it works:
https://github.com/gephi/gephi
User avatar
admin
Gephi Community Manager
 
Posts: 964
Joined: 09 Dec 2009 15:41
Location: Paris, France

Re: IT people won't install Gephi bc of Java problems

Postby JoseManuel » 08 Oct 2013 15:30

Hi,
Has this issue with Java 7 in Mac 10.8.5 been solved?
Please let me know?
Thanks!
JoseManuel
 
Posts: 1
Joined: 08 Oct 2013 15:25


Re: IT people won't install Gephi bc of Java problems

Postby stesin » 16 Apr 2014 09:26

Got the same problem here on Windows machine. We are all-Java-1.7 shop and freshly downloaded Gephi uses 1.6. This way Neo4j plugin does not work, it requires 1.7. :(
stesin
 
Posts: 2
Joined: 16 Apr 2014 09:23
Location: Kyiv, Ukraine

Re: IT people won't install Gephi bc of Java problems

Postby Kurtz30 » 11 May 2014 23:26

Hi, Just wondering if there is an update for OSX Java issue? Im having the same problem with the Neo4j plugin.

Also concerned with the general security issues of running the old version of Java in general.
Kurtz30
 
Posts: 3
Joined: 11 May 2014 23:18

Re: IT people won't install Gephi bc of Java problems

Postby blue.bear » 29 May 2014 13:56

This java problem might be huge. Do you know any replacament for Gephi?
blue.bear
 
Posts: 3
Joined: 29 May 2014 13:41

Re: IT people won't install Gephi bc of Java problems

Postby JimBiard » 24 Jun 2014 16:26

Hi.

I was just having this same problem, and I discovered that if you edit the gephi/etc/gephi.conf file to specify the location of your 1.7 JDK folder (jdkhome), then everything seems to work fine. The line in the file is

#jdkhome="/path/to/jdk"

Change it to

jdkhome="/usr/lib/jdk1.7.0_55"

or whatever is appropriate for your platform. Be sure to remove the '#' from the beginning of the line.
JimBiard
 
Posts: 3
Joined: 03 Apr 2014 17:40

Re: IT people won't install Gephi bc of Java problems

Postby Olivander » 06 Sep 2014 12:31

JimBiard wrote:Hi.

I was just having this same problem, and I discovered that if you edit the gephi/etc/gephi.conf file to specify the location of your 1.7 JDK folder (jdkhome), then everything seems to work fine. The line in the file is

#jdkhome="/path/to/jdk"

Change it to

jdkhome="/usr/lib/jdk1.7.0_55"

or whatever is appropriate for your platform. Be sure to remove the '#' from the beginning of the line.


Jim I tried that but it didn't work for me. Are there any other steps I'm missing?
Olivander
 
Posts: 1
Joined: 06 Sep 2014 12:23


Return to Installation

Who is online

Users browsing this forum: No registered users and 0 guests

cron
sports medicine portsmouth nh where to buy metronidazole